Bug 1816943 - Invalid data reported by pkg-config
Summary: Invalid data reported by pkg-config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pam_wrapper
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-25 08:29 UTC by Lukas Slebodnik
Modified: 2020-04-11 19:54 UTC (History)
2 users (show)

Fixed In Version: pam_wrapper-1.1.3-1.fc32 pam_wrapper-1.1.3-1.fc31 pam_wrapper-1.1.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-04 00:45:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Slebodnik 2020-03-25 08:29:52 UTC
Description of problem:
The latest version of pam_wrapper returns invalid data for lib in pkg-config.
They cannot be used by LD_PRELOAD

Version-Release number of selected component (if applicable):
sh-5.0$ rpm -q pam_wrapper
pam_wrapper-1.1.2-1.fc33.x86_64

How reproducible:
Deterministic

Steps to Reproduce:
1. dnf install -y uid_wrapper file
2. cd /tmp
3. file `pkgconf --libs pam_wrapper`

Actual results:
sh$ file `pkgconf --libs pam_wrapper`
lib64/libpam_wrapper.so: cannot open `lib64/libpam_wrapper.so' (No such file or directory)

Expected results:
[build@9c005ee9efda tmp]$ file `pkgconf --libs pam_wrapper`
/usr/lib64/libpam_wrapper.so: symbolic link to libpam_wrapper.so.0

Additional info:

It would be good to ensure all wrappers from cwrap are fixed.

Comment 1 Lukas Slebodnik 2020-03-25 08:34:16 UTC
f31, f32 and epel7 are broken as well.

Comment 2 Fedora Update System 2020-03-26 16:14:30 UTC
FEDORA-2020-fda3db3b16 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fda3db3b16

Comment 3 Fedora Update System 2020-03-26 17:45:30 UTC
FEDORA-EPEL-2020-58a336bae5 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-58a336bae5

Comment 4 Fedora Update System 2020-03-27 13:40:18 UTC
FEDORA-EPEL-2020-58a336bae5 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-58a336bae5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-03-27 15:58:18 UTC
FEDORA-2020-b8f023b673 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b8f023b673`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b8f023b673

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-03-27 19:12:21 UTC
FEDORA-2020-fda3db3b16 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fda3db3b16`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fda3db3b16

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-04 00:45:07 UTC
FEDORA-2020-b8f023b673 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-04-04 03:21:59 UTC
FEDORA-2020-fda3db3b16 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-11 19:54:34 UTC
FEDORA-EPEL-2020-58a336bae5 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.